Index: trunk/grails-app/services/CreateDataService.groovy
===================================================================
--- trunk/grails-app/services/CreateDataService.groovy	(revision 523)
+++ trunk/grails-app/services/CreateDataService.groovy	(revision 529)
@@ -845,5 +845,5 @@
                 targetStartDate: dateUtilService.tomorrow,
                 targetCompletionDate: dateUtilService.tomorrow,
-                parentTask: Task.get(1)]
+                parentTask: Task.list()[0]]
 
         taskResult = taskService.save(p)
@@ -858,5 +858,5 @@
                 targetStartDate: dateUtilService.yesterday,
                 targetCompletionDate: dateUtilService.yesterday,
-                parentTask: Task.get(1)]
+                parentTask: Task.list()[0]]
 
         taskResult = taskService.save(p)
@@ -871,5 +871,5 @@
                 targetStartDate: dateUtilService.today,
                 targetCompletionDate: dateUtilService.oneWeekFromNow,
-                parentTask: Task.get(1)]
+                parentTask: Task.list()[0]]
 
         taskResult = taskService.save(p)
@@ -927,5 +927,5 @@
 
         //Entry #1
-        p = [task: Task.get(1),
+        p = [task: Task.list()[0],
                 entryType: EntryType.get(1),
                 comment: "This level sensor is causing us trouble.",
@@ -935,5 +935,5 @@
 
         //Entry #2
-        p = [task: Task.get(1),
+        p = [task: Task.list()[0],
                 entryType: EntryType.get(3),
                 comment: "Cleaned sensor, see how it goes.",
@@ -943,5 +943,5 @@
 
         //Entry #3
-        p = [task: Task.get(1),
+        p = [task: Task.list()[0],
                 entryType: EntryType.get(3),
                 comment: "Checked up on it later and sensor is dropping out intermittently, created sub task to replace sensor.",
@@ -958,5 +958,5 @@
         //AssignedGroup #1
         p = [personGroup: PersonGroup.get(1),
-                task: Task.get(1),
+                task: Task.list()[0],
                 estimatedHour: 2,
                 estimatedMinute: 30]
@@ -965,5 +965,5 @@
         //AssignedGroup #2
         p = [personGroup: PersonGroup.get(2),
-                task: Task.get(1),
+                task: Task.list()[0],
                 estimatedHour: 1,
                 estimatedMinute: 0]
@@ -978,5 +978,5 @@
         //AssignedPerson #1
         p = [person: Person.get(4),
-                task: Task.get(1),
+                task: Task.list()[0],
                 estimatedHour: 1,
                 estimatedMinute: 20]
@@ -985,5 +985,5 @@
         //AssignedPerson #2
         p = [person: Person.get(5),
-                task: Task.get(1),
+                task: Task.list()[0],
                 estimatedHour: 3,
                 estimatedMinute: 30]
@@ -997,5 +997,5 @@
 
         //TaskRecurringSchedule #1
-        taskRecurringScheduleInstance = new TaskRecurringSchedule(task: Task.get(1),
+        taskRecurringScheduleInstance = new TaskRecurringSchedule(task: Task.list()[0],
                                                                                                     recurEvery: 1,
                                                                                                     recurPeriod: Period.get(2),
@@ -1008,5 +1008,5 @@
 
         //TaskRecurringSchedule #2
-        taskRecurringScheduleInstance = new TaskRecurringSchedule(task: Task.get(6),
+        taskRecurringScheduleInstance = new TaskRecurringSchedule(task: Task.list()[0],
                                                                                                     recurEvery: 1,
                                                                                                     recurPeriod: Period.get(1),
@@ -1270,5 +1270,5 @@
         taskProcedureInstance = new TaskProcedure(name: "Daily check")
         saveAndTest(taskProcedureInstance)
-        taskProcedureInstance.addToTasks(Task.get(1))
+        taskProcedureInstance.addToTasks(Task.list()[0])
     }
 