Index: trunk/grails-app/views/inventoryItemPurchaseDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemPurchaseDetailed/show.gsp	(revision 595)
+++ trunk/grails-app/views/inventoryItemPurchaseDetailed/show.gsp	(revision 605)
@@ -26,5 +26,5 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Inventory Item Purchase Type:</td>
+                            <td valign="top" class="name">Purchase Type:</td>
                             
                             <td valign="top" class="value">${inventoryItemPurchaseInstance?.inventoryItemPurchaseType?.encodeAsHTML()}</td>
@@ -33,5 +33,5 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Purchase Order Number:</td>
+                            <td valign="top" class="name">Purchase Order #:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:inventoryItemPurchaseInstance, field:'purchaseOrderNumber')}</td>
@@ -40,7 +40,21 @@
                     
                         <tr class="prop">
+                            <td valign="top" class="name">Date:</td>
+                            <td valign="top" class="value">
+                                <g:formatDate date="${inventoryItemPurchaseInstance?.date}" format="EEE, dd-MMM-yyyy"/>
+                            </td>
+                        </tr>
+                    
+                        <tr class="prop">
                             <td valign="top" class="name">Cost Code:</td>
                             
                             <td valign="top" class="value"><g:link controller="costCodeDetailed" action="show" id="${inventoryItemPurchaseInstance?.costCode?.id}">${inventoryItemPurchaseInstance?.costCode?.encodeAsHTML()}</g:link></td>
+                            
+                        </tr>
+                        
+                         <tr class="prop">
+                            <td valign="top" class="name">Supplier:</td>
+                            
+                            <td valign="top" class="value"><g:link controller="supplierDetailed" action="show" id="${inventoryItemPurchaseInstance?.supplier?.id}">${inventoryItemPurchaseInstance?.supplier?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -62,11 +76,11 @@
                             
                         </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Invoice Number:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:inventoryItemPurchaseInstance, field:'invoiceNumber')}</td>
-                            
-                        </tr>
+
+                        <g:if test="${inventoryItemPurchaseInstance.inventoryItemPurchaseType?.id == 4}">
+                            <tr class="prop">
+                                <td valign="top" class="name">Invoice Number:</td>
+                                <td valign="top" class="value">${fieldValue(bean:inventoryItemPurchaseInstance, field:'invoiceNumber')}</td>
+                            </tr>
+                        </g:if>
                         
                         <tr class="prop">
@@ -87,20 +101,31 @@
                             </td>
                         </tr>
-                    
+                        
                         <tr class="prop">
-                            <td valign="top" class="name">Date Entered:</td>
-                            
-                            <td valign="top" class="value">
-                                <g:formatDate date="${inventoryItemPurchaseInstance?.dateEntered}" format="EEE, dd-MMM-yyyy @ HH:mm"/>
-                            </td>
-                            
+                            <td valign="top" class="name">Comment:</td>
+                            <td valign="top" class="value">${fieldValue(bean:inventoryItemPurchaseInstance, field:'comment')}</td>
                         </tr>
                     
                         <tr class="prop">
                             <td valign="top" class="name">Entered By:</td>
-                            
-                            <td valign="top" class="value"><g:link controller="person" action="show" id="${inventoryItemPurchaseInstance?.enteredBy?.id}">${inventoryItemPurchaseInstance?.enteredBy?.encodeAsHTML()}</g:link></td>
-                            
+                            <td valign="top" class="value">
+                                <g:link controller="person" action="show" id="${inventoryItemPurchaseInstance?.enteredBy?.id}">
+                                    ${inventoryItemPurchaseInstance?.enteredBy?.encodeAsHTML()}
+                                </g:link>
+                                    on <g:formatDate date="${inventoryItemPurchaseInstance?.dateCreated}" format="EEE, dd-MMM-yyyy @ HH:mm"/>
+                            </td>
                         </tr>
+
+                        <g:if test="${inventoryItemPurchaseInstance.lastUpdatedBy}">
+                            <tr class="prop">
+                                <td valign="top" class="name">Last Updated By:</td>
+                                <td valign="top" class="value">
+                                    <g:link controller="person" action="show" id="${inventoryItemPurchaseInstance?.lastUpdatedBy?.id}">
+                                        ${inventoryItemPurchaseInstance?.lastUpdatedBy.encodeAsHTML()}
+                                    </g:link>
+                                    on <g:formatDate date="${inventoryItemPurchaseInstance?.lastUpdated}" format="EEE, dd-MMM-yyyy @ HH:mm"/>
+                                </td>
+                            </tr>
+                        </g:if >
                     
                     </tbody>