Index: trunk/web-app/reports/equipmentRegister.jrxml
===================================================================
--- trunk/web-app/reports/assetRegister.jrxml	(revision 653)
+++ trunk/web-app/reports/equipmentRegister.jrxml	(revision 654)
@@ -4,6 +4,6 @@
 	<property name="ireport.encoding" value="UTF-8"/>
 	<property name="ireport.zoom" value="1.5"/>
-	<property name="ireport.x" value="15"/>
-	<property name="ireport.y" value="0"/>
+	<property name="ireport.x" value="31"/>
+	<property name="ireport.y" value="672"/>
 	<import value="net.sf.jasperreports.engine.*"/>
 	<import value="java.util.*"/>
@@ -50,6 +50,7 @@
 		<field name="Registration Required" class="java.lang.String"/>
 		<field name="Registration Expiry Date" class="java.lang.String"/>
+		<field name="assetName" class="java.lang.String"/>
 		<group name="assetName">
-			<groupExpression><![CDATA[$F{name}]]></groupExpression>
+			<groupExpression><![CDATA[$F{assetName}]]></groupExpression>
 		</group>
 	</subDataset>
@@ -65,5 +66,6 @@
 	</queryString>
 	<field name="dataList" class="java.util.List"/>
-	<field name="attribTypes" class="java.util.List"/>
+	<field name="attribTypes" class="java.lang.String"/>
+	<field name="assetsWithoutEquipment" class="java.lang.String"/>
 	<background>
 		<band splitType="Stretch"/>
@@ -103,11 +105,27 @@
 					</datasetRun>
 					<jr:column width="100">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="96" height="32" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+						<jr:groupHeader groupName="assetName">
+							<jr:cell height="20" rowSpan="1">
+								<textField isStretchWithOverflow="true">
+									<reportElement stretchType="RelativeToTallestObject" x="2" y="2" width="96" height="16" isPrintWhenDetailOverflows="true"/>
+									<textElement verticalAlignment="Middle">
+										<font fontName="Serif" size="10"/>
+									</textElement>
+									<textFieldExpression class="java.lang.String"><![CDATA[$F{assetName}]]></textFieldExpression>
+								</textField>
+							</jr:cell>
+						</jr:groupHeader>
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="96" height="16" isPrintWhenDetailOverflows="true"/>
+								<textElement verticalAlignment="Middle">
+									<font fontName="Serif"/>
 								</textElement>
 								<text><![CDATA[Asset]]></text>
+							</staticText>
+							<staticText>
+								<reportElement x="2" y="16" width="96" height="16"/>
+								<textElement textAlignment="Center"/>
+								<text><![CDATA[Equipment]]></text>
 							</staticText>
 						</jr:columnHeader>
@@ -457,10 +475,33 @@
 	<summary>
 		<band height="369">
-			<textField>
-				<reportElement x="0" y="30" width="824" height="91"/>
+			<textField isStretchWithOverflow="true">
+				<reportElement stretchType="RelativeToTallestObject" x="13" y="36" width="824" height="25" isPrintWhenDetailOverflows="true"/>
 				<textElement>
 					<font fontName="Serif"/>
 				</textElement>
-				<textFieldExpression class="java.lang.String"><![CDATA["Asset Extended Attributes: \n"+$F{attribTypes}]]></textFieldExpression>
+				<textFieldExpression class="java.lang.String"><![CDATA["AssetSubItem Extended Attributes: \n"+$F{attribTypes}]]></textFieldExpression>
+			</textField>
+			<textField>
+				<reportElement key="staticText-1" x="242" y="0" width="340" height="30"/>
+				<textElement textAlignment="Center" verticalAlignment="Top" markup="none">
+					<font size="20"/>
+				</textElement>
+				<textFieldExpression class="java.lang.String"><![CDATA["Summary"]]></textFieldExpression>
+			</textField>
+			<textField isStretchWithOverflow="true">
+				<reportElement stretchType="RelativeToTallestObject" x="13" y="85" width="824" height="26" isPrintWhenDetailOverflows="true"/>
+				<textElement>
+					<font fontName="Serif"/>
+				</textElement>
+				<textFieldExpression class="java.lang.String"><![CDATA[$F{assetsWithoutEquipment}]]></textFieldExpression>
+			</textField>
+			<textField>
+				<reportElement x="13" y="66" width="824" height="19" forecolor="#FF0033">
+					<printWhenExpression><![CDATA[$F{assetsWithoutEquipment}]]></printWhenExpression>
+				</reportElement>
+				<textElement>
+					<font fontName="Serif"/>
+				</textElement>
+				<textFieldExpression class="java.lang.String"><![CDATA["The following assets have no sub items (equipment) and therefore are not listed in the equipment table: \n"+$F{assetsWithoutEquipment}]]></textFieldExpression>
 			</textField>
 		</band>