Index: trunk/grails-app/views/assetDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/assetDetailed/edit.gsp	(revision 410)
+++ trunk/grails-app/views/assetDetailed/edit.gsp	(revision 655)
@@ -27,5 +27,13 @@
                         
                             <tr class="prop">
-                                <td valign="top" class="name">
+                                <td valign="top" class="groupHeader">
+                                    <label for="name">Asset</label>
+                                </td>
+                                <td valign="top" class="value">
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="groupName">
                                     <label for="name">Name:</label>
                                 </td>
@@ -36,5 +44,5 @@
                         
                             <tr class="prop">
-                                <td valign="top" class="name">
+                                <td valign="top" class="groupName">
                                     <label for="description">Description:</label>
                                 </td>
@@ -45,5 +53,5 @@
                         
                             <tr class="prop">
-                                <td valign="top" class="name">
+                                <td valign="top" class="groupName">
                                     <label for="comment">Comment:</label>
                                 </td>
@@ -54,5 +62,5 @@
                             
                             <tr class="prop">
-                                <td valign="top" class="name">
+                                <td valign="top" class="groupName">
                                     <label for="isActive">Is Active:</label>
                                 </td>
@@ -63,5 +71,5 @@
                         
                             <tr class="prop">
-                                <td valign="top" class="name">
+                                <td valign="top" class="groupName">
                                     <label for="section">Section:</label>
                                 </td>
@@ -72,16 +80,36 @@
                         
                             <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="assetExtendedAttributes">Asset Extended Attributes:</label>
+                                <td valign="top" class="groupHeader">Extended Attributes</td>
+                                <td  valign="top" style="text-align:left;" class="value">
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'assetExtendedAttributes','errors')}">
+                            </tr>
+                            
+                            <g:each var="a" in="${assetInstance.assetExtendedAttributes.sort { p1, p2 -> p1.extendedAttributeType.name.compareToIgnoreCase(p2.extendedAttributeType.name) }}">
+                                <tr class="prop">
+                                    <td valign="top" class="groupName">
+                                        ${a.extendedAttributeType.name.encodeAsHTML()}:
+                                    </td>
                                     
-<ul>
-<g:each var="a" in="${assetInstance?.assetExtendedAttributes?}">
-    <li><g:link controller="assetExtendedAttributeDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="assetExtendedAttributeDetailed" params="['asset.id':assetInstance?.id]" action="create">+Add Extended Attribute</g:link>
-
+                                    <td  valign="top" style="text-align:left;" class="value">
+                                        <g:link controller="assetExtendedAttributeDetailed" action="edit" id="${a.id}">
+                                            ${a.value.encodeAsHTML()}
+                                        </g:link>
+                                    </td>
+                                
+                                </tr>
+                            </g:each>
+                            
+                            <tr class="prop">
+                                <td valign="top" class="name"></td>
+                                <td  valign="top" style="text-align:left;" class="value">
+                                    <g:link controller="assetExtendedAttributeDetailed" params="['asset.id':assetInstance?.id]" action="create">+Add Extended Attribute</g:link>
+                                </td>
+                            </tr>
+                        
+                            <tr class="prop">
+                                <td valign="top" class="groupHeader">
+                                    <label for="assetSubItems">Asset Sub Items</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'assetSubItems','errors')}">
                                 </td>
                             </tr> 
@@ -89,5 +117,4 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="assetSubItems">Asset Sub Items:</label>
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'assetSubItems','errors')}">
@@ -104,18 +131,27 @@
                         
                             <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="maintenanceActions">Maintenance Actions:</label>
+                                <td valign="top" class="groupHeader">
+                                    <label for="maintenanceActions">Maintenance Actions</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'maintenanceActions','errors')}">
-                                    
-<ul>
-<g:each var="m" in="${assetInstance?.maintenanceActions?}">
-    <li><g:link controller="maintenanceActionDetailed" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="maintenanceActionDetailed" params="['asset.id':assetInstance?.id]" action="create">+Add Maintenance Action</g:link>
-
+                                <td valign="top" class="value">
                                 </td>
                             </tr> 
+                        
+                            <g:each var="m" in="${assetInstance?.maintenanceActions?}">
+                                <tr class="prop">
+                                    <td valign="top" class="name">
+                                    </td>
+                                    <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'maintenanceActions','errors')}">
+                                        <g:link controller="maintenanceActionDetailed" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link>
+                                    </td>
+                                </tr>
+                            </g:each>
+                            
+                            <tr class="prop">
+                                <td valign="top" class="name"></td>
+                                <td  valign="top" style="text-align:left;" class="value">
+                                    <g:link controller="maintenanceActionDetailed" params="['asset.id':assetInstance?.id]" action="create">+Add Maintenance Action</g:link>
+                                </td>
+                            </tr>
                         
                         </tbody>