Index: trunk/grails-app/views/assetSubItemDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/assetSubItemDetailed/show.gsp	(revision 388)
+++ trunk/grails-app/views/assetSubItemDetailed/show.gsp	(revision 659)
@@ -17,8 +17,16 @@
                 <table>
                     <tbody>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="groupHeader">
+                                <label for="name">Asset Sub Item</label>
+                            </td>
+                            <td valign="top" class="value">
+                            </td>
+                        </tr>
 
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Id:</td>
+                            <td valign="top" class="groupName">Id:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'id')}</td>
@@ -27,5 +35,5 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
+                            <td valign="top" class="groupName">Name:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'name')}</td>
@@ -34,5 +42,5 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Description:</td>
+                            <td valign="top" class="groupName">Description:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'description')}</td>
@@ -41,5 +49,5 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Comment:</td>
+                            <td valign="top" class="groupName">Comment:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'comment')}</td>
@@ -48,29 +56,64 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Is Active:</td>
+                            <td valign="top" class="groupName">Is Active:</td>
                             
                             <td valign="top" class="value">${fieldValue(bean:assetSubItemInstance, field:'isActive')}</td>
                             
                         </tr>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="groupHeader">
+                                <label for="name">Extended Attributes</label>
+                            </td>
+                            <td valign="top" class="value">
+                            </td>
+                        </tr>
                     
+                        <g:each var="a" in="${assetSubItemInstance.assetSubItemExtendedAttributes}">
                         <tr class="prop">
-                            <td valign="top" class="name">Extended Attributes:</td>
-                            
+                            <td valign="top" class="name"></td>
                             <td  valign="top" style="text-align:left;" class="value">
-                                <ul>
-                                <g:each var="a" in="${assetSubItemInstance.assetSubItemExtendedAttributes}">
-                                    <li><g:link controller="assetSubItemExtendedAttributeDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-                                </g:each>
-                                </ul>
+                                <g:link controller="assetSubItemExtendedAttributeDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link>
                             </td>
-                            
+                        </tr>
+                        </g:each>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="groupHeader">
+                                <label for="name">Asset Tree</label>
+                            </td>
+                            <td valign="top" class="value">
+                            </td>
+                        </tr>
+
+                        <tr class="prop">
+                            <td valign="top" class="groupName">Assets:</td>
+
+                            <td  valign="top" style="text-align:left;" class="value">
+                                <g:if test="${assetSubItemInstance.parentItem}" >
+                                    N/A (Assigned to parent item)
+                                </g:if>
+                                <g:else>
+                                    <g:if test="${assetSubItemInstance.assets}">
+                                        <ul>
+                                        <g:each var="a" in="${ assetSubItemInstance.assets.sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }">
+                                            <li><g:link controller="assetDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
+                                        </g:each>
+                                        </ul>
+                                    </g:if>
+                                    <g:else>
+                                        May be assigned via asset edit view.
+                                    </g:else>
+                                </g:else>
+                            </td>
+
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Parent Item:</td>
+                            <td valign="top" class="groupName">Parent Item:</td>
                             
                             <td valign="top" class="value">
                                 <g:if test="${assetSubItemInstance.assets}">
-                                    Assigned to assets.
+                                     Level 1 sub item (Assigned directly to assets)
                                 </g:if>
                                 <g:else>
@@ -82,25 +125,7 @@
                             
                         </tr>
-
-                        <tr class="prop">
-                            <td valign="top" class="name">Assets:</td>
-
-                            <td  valign="top" style="text-align:left;" class="value">
-                                <g:if test="${assetSubItemInstance.parentItem}" >
-                                    Assigned to parent item.
-                                </g:if>
-                                <g:else>
-                                    <ul>
-                                    <g:each var="a" in="${ assetSubItemInstance.assets.sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }">
-                                        <li><g:link controller="assetDetailed" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-                                    </g:each>
-                                    </ul>
-                                </g:else>
-                            </td>
-
-                        </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Sub Items:</td>
+                            <td valign="top" class="groupName">Sub Items:</td>
                             
                             <td  valign="top" style="text-align:left;" class="value">
@@ -113,17 +138,21 @@
                             
                         </tr>
+                        
+                        <tr class="prop">
+                            <td valign="top" class="groupHeader">
+                                <label for="name">Maintenance Actions</label>
+                            </td>
+                            <td valign="top" class="value">
+                            </td>
+                        </tr>
                     
-                        <tr class="prop">
-                            <td valign="top" class="name">Maintenance Actions:</td>
-                            
-                            <td  valign="top" style="text-align:left;" class="value">
-                                <ul>
-                                <g:each var="m" in="${assetSubItemInstance.maintenanceActions}">
-                                    <li><g:link controller="maintenanceActionDetailed" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
-                                </g:each>
-                                </ul>
-                            </td>
-                            
-                        </tr>
+                        <g:each var="m" in="${assetSubItemInstance.maintenanceActions}">
+                            <tr class="prop">
+                                <td valign="top" class="name"></td>
+                                <td  valign="top" style="text-align:left;" class="value">
+                                    <g:link controller="maintenanceActionDetailed" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link>
+                                </td>
+                            </tr>
+                        </g:each>
                     
                     </tbody>