Index: trunk/web-app/reports/reactiveRatio.jrxml
===================================================================
--- trunk/web-app/reports/reactiveRatio.jrxml	(revision 541)
+++ trunk/web-app/reports/reactiveRatio.jrxml	(revision 682)
@@ -5,7 +5,7 @@
 	<property name="ireport.zoom" value="1.0"/>
 	<property name="ireport.x" value="0"/>
-	<property name="ireport.y" value="614"/>
+	<property name="ireport.y" value="594"/>
+	<import value="net.sf.jasperreports.engine.*"/>
 	<import value="java.util.*"/>
-	<import value="net.sf.jasperreports.engine.*"/>
 	<import value="net.sf.jasperreports.engine.data.*"/>
 	<style name="table" isDefault="false">
@@ -77,5 +77,5 @@
 				<reportElement key="staticText-1" x="0" y="57" width="340" height="30"/>
 				<textElement textAlignment="Center" verticalAlignment="Top" markup="none">
-					<font size="20"/>
+					<font fontName="Serif" size="20"/>
 				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$P{reportTitle}]]></textFieldExpression>
@@ -87,5 +87,7 @@
 			<textField pattern="dd-MMM-yyyy" isBlankWhenNull="true">
 				<reportElement x="0" y="87" width="340" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle" markup="none"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$P{startDateString}+" to "+$P{endDateString}]]></textFieldExpression>
 			</textField>
@@ -99,44 +101,62 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="40" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Immediate Callout: "]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="60" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Total Preventative: "]]></textFieldExpression>
 			</textField>
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="40" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{immediateCalloutPercentage}.setScale(2, RoundingMode.HALF_UP)]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="60" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalPreventativePercentage}.setScale(2, RoundingMode.HALF_UP)]]></textFieldExpression>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="40" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{immediateCalloutCount}]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="236" y="60" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalPreventativeCount}]]></textFieldExpression>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="0" y="80" width="157" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Total: "]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="80" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="236" y="80" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalAssetsOnTasksCount}]]></textFieldExpression>
 			</textField>
@@ -203,10 +223,14 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="236" y="277" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalPreventativeCount}]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="277" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<line>
@@ -215,14 +239,20 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="257" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Preventative Maintenance"]]></textFieldExpression>
 			</textField>
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="237" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="217" width="117" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<line>
@@ -231,10 +261,14 @@
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="197" width="117" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Count (Assets on Tasks)"]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="237" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Unscheduled Breakin: "]]></textFieldExpression>
 			</textField>
@@ -277,9 +311,13 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="217" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="237" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{unscheduledBreakinCount}]]></textFieldExpression>
 			</textField>
@@ -289,5 +327,7 @@
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="217" width="79" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<line>
@@ -296,33 +336,47 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="257" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="197" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Description"]]></textFieldExpression>
 			</textField>
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="197" width="79" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="0" y="277" width="157" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Total Preventative: "]]></textFieldExpression>
 			</textField>
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="0" width="79" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Percentage (%)"]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="0" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Description"]]></textFieldExpression>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="0" width="117" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Count (Assets on Tasks)"]]></textFieldExpression>
 			</textField>
@@ -359,14 +413,20 @@
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="0" width="79" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Percentage (%)"]]></textFieldExpression>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="20" width="117" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="0" width="117" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Work Done (hh:mm)"]]></textFieldExpression>
 			</textField>
@@ -379,19 +439,27 @@
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="40" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{immediateCalloutWorkDone}.percentage.setScale(2, RoundingMode.HALF_UP)]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="60" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalPreventativeWorkDone}.percentage.setScale(2, RoundingMode.HALF_UP)]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="20" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="80" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<line>
@@ -400,15 +468,21 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="236" y="60" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalPreventativeWorkDone}.hours+":"+$F{totalPreventativeWorkDone}.minutes]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="236" y="80" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalWorkDone}.hours+":"+$F{totalWorkDone}.minutes]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="0" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Description"]]></textFieldExpression>
 			</textField>
@@ -418,10 +492,14 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="40" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Immediate Callout: "]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="60" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Total Preventative: "]]></textFieldExpression>
 			</textField>
@@ -431,14 +509,20 @@
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="20" width="79" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="0" y="80" width="157" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Total: "]]></textFieldExpression>
 			</textField>
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="236" y="40" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{immediateCalloutWorkDone}.hours+":"+$F{immediateCalloutWorkDone}.minutes]]></textFieldExpression>
 			</textField>
@@ -478,9 +562,13 @@
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="197" width="79" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="197" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Description"]]></textFieldExpression>
 			</textField>
@@ -490,26 +578,38 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="217" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="257" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="197" width="117" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Work Done (hh:mm)"]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="157" y="277" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="237" width="79" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
 				<reportElement x="157" y="217" width="79" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<line>
@@ -521,10 +621,14 @@
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="0" y="277" width="157" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Total Preventative: "]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="236" y="277" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{totalPreventativeWorkDone}.hours+":"+$F{totalPreventativeWorkDone}.minutes]]></textFieldExpression>
 			</textField>
@@ -534,14 +638,20 @@
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="217" width="117" height="20"/>
-				<textElement verticalAlignment="Middle"/>
+				<textElement verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="237" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Unscheduled Breakin: "]]></textFieldExpression>
 			</textField>
 			<textField isBlankWhenNull="true">
 				<reportElement x="0" y="257" width="157" height="20"/>
-				<textElement verticalAlignment="Middle" markup="none"/>
+				<textElement verticalAlignment="Middle" markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Preventative Maintenance"]]></textFieldExpression>
 			</textField>
@@ -551,10 +661,14 @@
 			<textField isBlankWhenNull="true">
 				<reportElement x="236" y="257" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{preventativeMaintenanceWorkDone}.hours+":"+$F{preventativeMaintenanceWorkDone}.minutes]]></textFieldExpression>
 			</textField>
 			<textField pattern="###0.00" isBlankWhenNull="true">
 				<reportElement x="236" y="237" width="117" height="20"/>
-				<textElement textAlignment="Center" verticalAlignment="Middle"/>
+				<textElement textAlignment="Center" verticalAlignment="Middle">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{unscheduledBreakinWorkDone}.hours+":"+$F{unscheduledBreakinWorkDone}.minutes]]></textFieldExpression>
 			</textField>
@@ -568,30 +682,42 @@
 			<textField pattern="dd-MMM-yyyy">
 				<reportElement x="82" y="0" width="200" height="20"/>
-				<textElement/>
+				<textElement>
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.util.Date"><![CDATA[new java.util.Date()]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="662" y="20" width="80" height="20"/>
-				<textElement textAlignment="Right"/>
+				<textElement textAlignment="Right">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Page "+$V{PAGE_NUMBER}+" of"]]></textFieldExpression>
 			</textField>
 			<textField evaluationTime="Report">
 				<reportElement x="742" y="20" width="40" height="20"/>
-				<textElement/>
+				<textElement>
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="0" y="0" width="82" height="20"/>
-				<textElement markup="none"/>
+				<textElement markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Generated: "]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="82" y="20" width="200" height="20"/>
-				<textElement markup="none"/>
+				<textElement markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$P{currentUser}]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="0" y="20" width="82" height="20"/>
-				<textElement markup="none"/>
+				<textElement markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["By: "]]></textFieldExpression>
 			</textField>
@@ -602,30 +728,42 @@
 			<textField evaluationTime="Report">
 				<reportElement x="742" y="20" width="40" height="20"/>
-				<textElement/>
+				<textElement>
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="662" y="20" width="80" height="20"/>
-				<textElement textAlignment="Right"/>
+				<textElement textAlignment="Right">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Page "+$V{PAGE_NUMBER}+" of"]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="0" y="0" width="82" height="20"/>
-				<textElement markup="none"/>
+				<textElement markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Generated: "]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="0" y="20" width="82" height="20"/>
-				<textElement markup="none"/>
+				<textElement markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["By: "]]></textFieldExpression>
 			</textField>
 			<textField pattern="dd-MMM-yyyy">
 				<reportElement x="82" y="0" width="200" height="20"/>
-				<textElement/>
+				<textElement>
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.util.Date"><![CDATA[new java.util.Date()]]></textFieldExpression>
 			</textField>
 			<textField>
 				<reportElement x="82" y="20" width="200" height="20"/>
-				<textElement markup="none"/>
+				<textElement markup="none">
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$P{currentUser}]]></textFieldExpression>
 			</textField>
@@ -637,5 +775,5 @@
 				<reportElement key="staticText-1" x="221" y="0" width="340" height="30"/>
 				<textElement textAlignment="Center" verticalAlignment="Top" markup="none">
-					<font size="20"/>
+					<font fontName="Serif" size="20"/>
 				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["Summary of Calculation Method"]]></textFieldExpression>
@@ -643,5 +781,7 @@
 			<textField>
 				<reportElement x="0" y="30" width="782" height="245"/>
-				<textElement/>
+				<textElement>
+					<font fontName="Serif"/>
+				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$F{summaryOfCalculationMethod}]]></textFieldExpression>
 			</textField>
@@ -653,5 +793,5 @@
 				<reportElement x="0" y="35" width="782" height="50"/>
 				<textElement textAlignment="Center" markup="none">
-					<font size="14" isBold="true"/>
+					<font fontName="Serif" size="14" isBold="true"/>
 				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA["No data to display. \n"+
@@ -661,5 +801,5 @@
 				<reportElement key="staticText-1" x="0" y="0" width="782" height="35"/>
 				<textElement textAlignment="Center" markup="none">
-					<font size="20"/>
+					<font fontName="Serif" size="20"/>
 				</textElement>
 				<textFieldExpression class="java.lang.String"><![CDATA[$P{reportTitle}]]></textFieldExpression>