Index: trunk/grails-app/services/CreateDataService.groovy
===================================================================
--- trunk/grails-app/services/CreateDataService.groovy	(revision 678)
+++ trunk/grails-app/services/CreateDataService.groovy	(revision 685)
@@ -128,5 +128,6 @@
         createDemoSections()
         createDemoAssetTree()
-        createDemoAssetExtenedAttributes()
+        createDemoAssetExtendedAttributes()
+        createDemoAssetSubItemExtendedAttributes()
 
         // Inventory
@@ -1408,4 +1409,12 @@
         extendedAttributeTypeInstance = new ExtendedAttributeType(name: "Registration Expiry Date")
         saveAndTest(extendedAttributeTypeInstance)
+
+        //ExtendedAttributeType #16
+        extendedAttributeTypeInstance = new ExtendedAttributeType(name: "Asset Condition")
+        saveAndTest(extendedAttributeTypeInstance)
+
+        //ExtendedAttributeType #17
+        extendedAttributeTypeInstance = new ExtendedAttributeType(name: "Asset Number")
+        saveAndTest(extendedAttributeTypeInstance)
     }
 
@@ -1570,5 +1579,36 @@
     } // createDemoAssetTree()
 
-    def createDemoAssetExtenedAttributes() {
+    def createDemoAssetSubItemExtendedAttributes() {
+
+        //AssetSubItemExtendedAttribute
+        def assetSubItemExtendedAttributeInstance
+
+        //AssetSubItemExtendedAttribute #1
+        assetSubItemExtendedAttributeInstance = new AssetSubItemExtendedAttribute(value: "United Press",
+                                                                                                                    assetSubItem: AssetSubItem.get(1),
+                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(8)) // Manufacturer.
+        saveAndTest(assetSubItemExtendedAttributeInstance)
+
+        //AssetSubItemExtendedAttribute #2
+        assetSubItemExtendedAttributeInstance = new AssetSubItemExtendedAttribute(value: "PU Mark 2",
+                                                                                                                    assetSubItem: AssetSubItem.get(1),
+                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(1)) // Model Number.
+        saveAndTest(assetSubItemExtendedAttributeInstance)
+
+        //AssetSubItemExtendedAttribute #3
+        assetSubItemExtendedAttributeInstance = new AssetSubItemExtendedAttribute(value: "765895",
+                                                                                                                    assetSubItem: AssetSubItem.get(1),
+                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(3)) // Serial Number.
+        saveAndTest(assetSubItemExtendedAttributeInstance)
+
+        //AssetSubItemExtendedAttribute #4
+        assetSubItemExtendedAttributeInstance = new AssetSubItemExtendedAttribute(value: "Jan-2003",
+                                                                                                                    assetSubItem: AssetSubItem.get(1),
+                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(4)) // Manufactured Date.
+        saveAndTest(assetSubItemExtendedAttributeInstance)
+
+    }
+
+    def createDemoAssetExtendedAttributes() {
 
         //AssetExtendedAttribute
@@ -1576,31 +1616,61 @@
 
         //AssetExtendedAttribute #1
-        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "United Press",
-                                                                                                                    asset: Asset.get(1),
-                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(8))
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "On the far side of Tank 5",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(5)) // Location Description.
         saveAndTest(assetExtendedAttributeInstance)
 
         //AssetExtendedAttribute #2
-        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "PU Mark 2",
-                                                                                                                    asset: Asset.get(1),
-                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(1))
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "3",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(9)) // ecr.
         saveAndTest(assetExtendedAttributeInstance)
 
         //AssetExtendedAttribute #3
-        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "On the far side of Tank 5",
-                                                                                                                    asset: Asset.get(1),
-                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(5))
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "RP-001",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(17)) // Asset Number.
         saveAndTest(assetExtendedAttributeInstance)
 
         //AssetExtendedAttribute #4
-        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "765895",
-                                                                                                                    asset: Asset.get(1),
-                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(3))
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "Good",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(16)) // Asset Condition.
         saveAndTest(assetExtendedAttributeInstance)
 
         //AssetExtendedAttribute #5
-        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "3",
-                                                                                                                    asset: Asset.get(1),
-                                                                                                                    extendedAttributeType: ExtendedAttributeType.get(9))
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "TBA",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(13)) // Maintenance % Completion.
+        saveAndTest(assetExtendedAttributeInstance)
+
+        //AssetExtendedAttribute #6
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "Y",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(14)) // Registration Required.
+        saveAndTest(assetExtendedAttributeInstance)
+
+        //AssetExtendedAttribute #7
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "Feb-2009",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(15)) // Registration Expiry Date.
+        saveAndTest(assetExtendedAttributeInstance)
+
+        //AssetExtendedAttribute #8
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "N",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(12)) // Regulatory Requirement.
+        saveAndTest(assetExtendedAttributeInstance)
+
+        //AssetExtendedAttribute #9
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "Med",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(10)) // Risk Level.
+        saveAndTest(assetExtendedAttributeInstance)
+
+        //AssetExtendedAttribute #10
+        assetExtendedAttributeInstance = new AssetExtendedAttribute(value: "WP-003",
+                                                                                                            asset: Asset.get(1),
+                                                                                                            extendedAttributeType: ExtendedAttributeType.get(11)) // Safe Work Procedure.
         saveAndTest(assetExtendedAttributeInstance)
     }