Index: trunk/web-app/reports/equipmentRegister.jrxml
===================================================================
--- trunk/web-app/reports/equipmentRegister.jrxml	(revision 680)
+++ trunk/web-app/reports/equipmentRegister.jrxml	(revision 691)
@@ -139,5 +139,5 @@
 								</reportElement>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif"/>
+									<font fontName="Serif" size="8"/>
 								</textElement>
 								<textFieldExpression class="java.lang.String"><![CDATA[$F{description}]]></textFieldExpression>
@@ -181,5 +181,5 @@
 								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="51" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Serial Number]]></text>
@@ -196,34 +196,37 @@
 						</jr:detailCell>
 					</jr:column>
-					<jr:column width="72">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="16" width="68" height="16" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+					<jr:column width="60">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Model Number]]></text>
 							</staticText>
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="68" height="15" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+						</jr:columnHeader>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField isStretchWithOverflow="true">
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<textFieldExpression class="java.lang.String"><![CDATA[$F{Model Number}]]></textFieldExpression>
+							</textField>
+						</jr:detailCell>
+					</jr:column>
+					<jr:column width="60">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Manufacturer]]></text>
 							</staticText>
-							<line>
-								<reportElement x="0" y="15" width="72" height="1" forecolor="#B3B3B3"/>
-							</line>
-						</jr:columnHeader>
-						<jr:detailCell style="table_TD" height="36" rowSpan="1">
-							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="17" width="68" height="17" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
-								</textElement>
-								<textFieldExpression class="java.lang.String"><![CDATA[$F{Model Number}]]></textFieldExpression>
-							</textField>
-							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="68" height="17" isPrintWhenDetailOverflows="true"/>
+						</jr:columnHeader>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField isStretchWithOverflow="true">
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -231,7 +234,4 @@
 								<textFieldExpression class="java.lang.String"><![CDATA[$F{Manufacturer}]]></textFieldExpression>
 							</textField>
-							<line>
-								<reportElement x="0" y="16" width="72" height="1" forecolor="#B3B3B3"/>
-							</line>
 						</jr:detailCell>
 					</jr:column>
@@ -241,5 +241,5 @@
 								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="59" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Equipment Criticality (ecr)]]></text>
@@ -261,5 +261,5 @@
 								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Risk Level]]></text>
@@ -281,5 +281,5 @@
 								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Safe Work Procedure]]></text>
@@ -296,10 +296,10 @@
 						</jr:detailCell>
 					</jr:column>
-					<jr:column width="75">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="32" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+					<jr:column width="60">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Regulatory Requirement (Y/N)]]></text>
@@ -308,5 +308,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="35" isPrintWhenDetailOverflows="true"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -316,10 +316,10 @@
 						</jr:detailCell>
 					</jr:column>
-					<jr:column width="70">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="32" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+					<jr:column width="60">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Maintenance % Completion]]></text>
@@ -328,5 +328,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="35" isPrintWhenDetailOverflows="true"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -341,5 +341,5 @@
 								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Registration Required (Y/N)]]></text>
@@ -356,10 +356,10 @@
 						</jr:detailCell>
 					</jr:column>
-					<jr:column width="70">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="32" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
+					<jr:column width="60">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8" isBold="false"/>
 								</textElement>
 								<text><![CDATA[Registration Expiry Date]]></text>
@@ -368,5 +368,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="35" isPrintWhenDetailOverflows="true"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>