Index: trunk/web-app/reports/assetRegister.jrxml
===================================================================
--- trunk/web-app/reports/assetRegister.jrxml	(revision 681)
+++ trunk/web-app/reports/assetRegister.jrxml	(revision 693)
@@ -50,4 +50,5 @@
 		<field name="Registration Required" class="java.lang.String"/>
 		<field name="Registration Expiry Date" class="java.lang.String"/>
+		<field name="Asset Number" class="java.lang.String"/>
 		<group name="assetName">
 			<groupExpression><![CDATA[$F{name}]]></groupExpression>
@@ -103,17 +104,17 @@
 						<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRBeanCollectionDataSource($F{dataList})]]></dataSourceExpression>
 					</datasetRun>
-					<jr:column width="100">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="96" height="32" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
-								</textElement>
-								<text><![CDATA[Asset]]></text>
+					<jr:column width="45">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement x="0" y="0" width="45" height="32"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif"/>
+								</textElement>
+								<text><![CDATA[#]]></text>
 							</staticText>
 						</jr:columnHeader>
 						<jr:columnFooter height="2" rowSpan="1">
 							<staticText>
-								<reportElement x="0" y="0" width="100" height="2"/>
+								<reportElement x="0" y="0" width="45" height="2"/>
 								<textElement/>
 								<text><![CDATA[]]></text>
@@ -121,4 +122,24 @@
 						</jr:columnFooter>
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField>
+								<reportElement x="2" y="0" width="41" height="36"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<textFieldExpression class="java.lang.String"><![CDATA[$F{Asset Number}]]></textFieldExpression>
+							</textField>
+						</jr:detailCell>
+					</jr:column>
+					<jr:column width="100">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="96" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<text><![CDATA[Asset]]></text>
+							</staticText>
+						</jr:columnHeader>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
 								<reportElement positionType="Float" stretchType="RelativeToTallestObject" mode="Opaque" x="2" y="0" width="96" height="20" isPrintWhenDetailOverflows="true" backcolor="#D2EFF7"/>
@@ -157,8 +178,8 @@
 						</jr:detailCell>
 					</jr:column>
-					<jr:column width="75">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="32" isPrintWhenDetailOverflows="true"/>
+					<jr:column width="55">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="51" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -169,5 +190,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="35" isPrintWhenDetailOverflows="true"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="51" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -177,8 +198,8 @@
 						</jr:detailCell>
 					</jr:column>
-					<jr:column width="72">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="16" width="68" height="16" isPrintWhenDetailOverflows="true"/>
+					<jr:column width="60">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -186,6 +207,19 @@
 								<text><![CDATA[Model Number]]></text>
 							</staticText>
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="68" height="15" isPrintWhenDetailOverflows="true"/>
+						</jr:columnHeader>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField isStretchWithOverflow="true">
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="56" height="36" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<textFieldExpression class="java.lang.String"><![CDATA[$F{Model Number}]]></textFieldExpression>
+							</textField>
+						</jr:detailCell>
+					</jr:column>
+					<jr:column width="65">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement x="2" y="0" width="61" height="32"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -193,18 +227,8 @@
 								<text><![CDATA[Manufacturer]]></text>
 							</staticText>
-							<line>
-								<reportElement x="0" y="15" width="72" height="1" forecolor="#B3B3B3"/>
-							</line>
-						</jr:columnHeader>
-						<jr:detailCell style="table_TD" height="36" rowSpan="1">
-							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="17" width="68" height="17" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
-								</textElement>
-								<textFieldExpression class="java.lang.String"><![CDATA[$F{Model Number}]]></textFieldExpression>
-							</textField>
-							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="68" height="17" isPrintWhenDetailOverflows="true"/>
+						</jr:columnHeader>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField>
+								<reportElement x="2" y="0" width="61" height="36"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -212,7 +236,4 @@
 								<textFieldExpression class="java.lang.String"><![CDATA[$F{Manufacturer}]]></textFieldExpression>
 							</textField>
-							<line>
-								<reportElement x="0" y="16" width="72" height="1" forecolor="#B3B3B3"/>
-							</line>
 						</jr:detailCell>
 					</jr:column>
@@ -237,4 +258,24 @@
 						</jr:detailCell>
 					</jr:column>
+					<jr:column width="50">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="46" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<text><![CDATA[Risk Level]]></text>
+							</staticText>
+						</jr:columnHeader>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField isStretchWithOverflow="true">
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="46" height="35" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<textFieldExpression class="java.lang.String"><![CDATA[$F{Risk Level}]]></textFieldExpression>
+							</textField>
+						</jr:detailCell>
+					</jr:column>
 					<jr:column width="60">
 						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
@@ -244,5 +285,5 @@
 									<font fontName="Serif" size="8"/>
 								</textElement>
-								<text><![CDATA[Risk Level]]></text>
+								<text><![CDATA[Safe Work Procedure]]></text>
 							</staticText>
 						</jr:columnHeader>
@@ -253,5 +294,25 @@
 									<font fontName="Serif" size="8"/>
 								</textElement>
-								<textFieldExpression class="java.lang.String"><![CDATA[$F{Risk Level}]]></textFieldExpression>
+								<textFieldExpression class="java.lang.String"><![CDATA[$F{Safe Work Procedure}]]></textFieldExpression>
+							</textField>
+						</jr:detailCell>
+					</jr:column>
+					<jr:column width="50">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="46" height="32" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<text><![CDATA[Regulatory Requirement (Y/N)]]></text>
+							</staticText>
+						</jr:columnHeader>
+						<jr:detailCell style="table_TD" height="36" rowSpan="1">
+							<textField isStretchWithOverflow="true">
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="46" height="35" isPrintWhenDetailOverflows="true"/>
+								<textElement textAlignment="Center" verticalAlignment="Middle">
+									<font fontName="Serif" size="8"/>
+								</textElement>
+								<textFieldExpression class="java.lang.String"><![CDATA[$F{Regulatory Requirement}]]></textFieldExpression>
 							</textField>
 						</jr:detailCell>
@@ -264,5 +325,5 @@
 									<font fontName="Serif" size="8"/>
 								</textElement>
-								<text><![CDATA[Safe Work Procedure]]></text>
+								<text><![CDATA[Maintenance % Completion]]></text>
 							</staticText>
 						</jr:columnHeader>
@@ -273,44 +334,4 @@
 									<font fontName="Serif" size="8"/>
 								</textElement>
-								<textFieldExpression class="java.lang.String"><![CDATA[$F{Safe Work Procedure}]]></textFieldExpression>
-							</textField>
-						</jr:detailCell>
-					</jr:column>
-					<jr:column width="75">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="32" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
-								</textElement>
-								<text><![CDATA[Regulatory Requirement (Y/N)]]></text>
-							</staticText>
-						</jr:columnHeader>
-						<jr:detailCell style="table_TD" height="36" rowSpan="1">
-							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="71" height="35" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
-								</textElement>
-								<textFieldExpression class="java.lang.String"><![CDATA[$F{Regulatory Requirement}]]></textFieldExpression>
-							</textField>
-						</jr:detailCell>
-					</jr:column>
-					<jr:column width="70">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="32" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
-								</textElement>
-								<text><![CDATA[Maintenance % Completion]]></text>
-							</staticText>
-						</jr:columnHeader>
-						<jr:detailCell style="table_TD" height="36" rowSpan="1">
-							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="35" isPrintWhenDetailOverflows="true"/>
-								<textElement textAlignment="Center" verticalAlignment="Middle">
-									<font fontName="Serif" size="8"/>
-								</textElement>
 								<textFieldExpression class="java.lang.String"><![CDATA[$F{Maintenance % Completion}]]></textFieldExpression>
 							</textField>
@@ -337,8 +358,8 @@
 						</jr:detailCell>
 					</jr:column>
-					<jr:column width="70">
-						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
-							<staticText>
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="32" isPrintWhenDetailOverflows="true"/>
+					<jr:column width="50">
+						<jr:columnHeader style="table_CH" height="32" rowSpan="1">
+							<staticText>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="46" height="32" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>
@@ -349,5 +370,5 @@
 						<jr:detailCell style="table_TD" height="36" rowSpan="1">
 							<textField isStretchWithOverflow="true">
-								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="66" height="35" isPrintWhenDetailOverflows="true"/>
+								<reportElement stretchType="RelativeToTallestObject" x="2" y="0" width="46" height="35" isPrintWhenDetailOverflows="true"/>
 								<textElement textAlignment="Center" verticalAlignment="Middle">
 									<font fontName="Serif" size="8"/>