Index: trunk/grails-app/views/inventoryItemDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/edit.gsp	(revision 715)
+++ trunk/grails-app/views/inventoryItemDetailed/edit.gsp	(revision 716)
@@ -50,4 +50,5 @@
                                                 type="text" maxlength="50" id="name" name="name"
                                                 value="${fieldValue(bean:inventoryItemInstance,field:'name')}"/>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.name" />
                                 </td>
                             </tr>
@@ -59,4 +60,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'description','errors')}">
                                     <textarea rows="5" cols="40" name="description">${fieldValue(bean:inventoryItemInstance, field:'description')}</textarea>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.description" />
                                 </td>
                             </tr>
@@ -68,4 +70,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'comment','errors')}">
                                     <textarea rows="5" cols="40" name="comment">${fieldValue(bean:inventoryItemInstance, field:'comment')}</textarea>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.comment" />
                                 </td>
                             </tr>
@@ -77,4 +80,5 @@
                                 <td valign="top" class="value">
                                     ${inventoryItemInstance.unitsInStock} ${inventoryItemInstance.unitOfMeasure.encodeAsHTML()}
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.units.in.stock" />
                                 </td>
                             </tr>
@@ -91,4 +95,5 @@
                                                         optionValue="${{it.name+ ' in ' + it.inventoryStore}}">
                                     </g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.inventory.location" />
                                 </td>
                             </tr>
@@ -100,4 +105,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'isActive','errors')}">
                                     <g:checkBox name="isActive" value="${inventoryItemInstance?.isActive}" ></g:checkBox>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.is.active" />
                                 </td>
                             </tr>
@@ -111,5 +117,6 @@
                                                     type="text" id="reorderPoint" name="reorderPoint"
                                                     value="${fieldValue(bean:inventoryItemInstance,field:'reorderPoint')}" />
-                                     ${inventoryItemInstance.unitOfMeasure.encodeAsHTML()}
+                                    ${inventoryItemInstance.unitOfMeasure.encodeAsHTML()}
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.reorder.point" />
                                 </td>
                             </tr>
@@ -124,4 +131,5 @@
                                                 value="${fieldValue(bean:inventoryItemInstance,field:'reorderQuantity')}" />
                                      ${inventoryItemInstance.unitOfMeasure.encodeAsHTML()}
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.reorder.quantity" />
                                 </td>
                             </tr>
@@ -133,4 +141,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'enableReorderListing','errors')}">
                                     <g:checkBox name="enableReorderListing" value="${inventoryItemInstance?.enableReorderListing}" ></g:checkBox>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.enable.reorder.listing" />
                                 </td>
                             </tr>
@@ -142,4 +151,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'isObsolete','errors')}">
                                     <g:checkBox name="isObsolete" value="${inventoryItemInstance?.isObsolete}" ></g:checkBox>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.is.obsolete" />
                                 </td>
                             </tr>
@@ -157,4 +167,5 @@
                                                         noSelection="['null':'--None--']">
                                     </g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.average.delivery.time" />
                                 </td>
                             </tr>
@@ -172,4 +183,5 @@
                                                                         from="${grailsApplication.config.currencyList}">
                                     </g:currencySelect>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.estimated.unit.price.amount" />
                                 </td>
                             </tr>
@@ -181,4 +193,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'suppliersPartNumber','errors')}">
                                     <input type="text" id="suppliersPartNumber" name="suppliersPartNumber" value="${fieldValue(bean:inventoryItemInstance,field:'suppliersPartNumber')}"/>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.suppliers.part.number" />
                                 </td>
                             </tr>
@@ -190,5 +203,5 @@
                                 <td valign="top">
                                     <g:select optionKey="id" from="${suppliers}" name="preferredSupplier.id" value="${inventoryItemInstance.preferredSupplier?.id}" noSelection="['null':'--None--']"></g:select>
-
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.preferred.supplier" />
                                     <p><g:link controller="supplierDetailed" action="create">+Add Supplier</g:link></p>
                                 </td>
@@ -204,4 +217,5 @@
                                                         size="5" multiple="yes" optionKey="id"
                                                         value="${inventoryItemInstance.alternateSuppliers?.id}" noSelection="['':'--None--']"/>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.alternate.suppliers" />
                                 </td>
                             </tr>
@@ -271,4 +285,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'inventoryGroup','errors')}">
                                     <g:select optionKey="id" from="${InventoryGroup.list()}" name="inventoryGroup.id" value="${inventoryItemInstance?.inventoryGroup?.id}" ></g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.inventory.group" />
                                 </td>
                             </tr>
@@ -280,4 +295,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'inventoryType','errors')}">
                                     <g:select optionKey="id" from="${InventoryType.list()}" name="inventoryType.id" value="${inventoryItemInstance?.inventoryType?.id}" ></g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.inventory.type" />
                                 </td>
                             </tr>