Index: trunk/grails-app/services/InventoryCsvService.groovy
===================================================================
--- trunk/grails-app/services/InventoryCsvService.groovy	(revision 715)
+++ trunk/grails-app/services/InventoryCsvService.groovy	(revision 718)
@@ -52,10 +52,10 @@
             def line = []
             def lineNumber = 0
-            def maxNumberOfColumns = 25
+            def maxNumberOfColumns = 23
             def inventoryParams = [:]
             def inventoryProperties = ["name", "description", "comment", "unitsInStock", "reorderPoint", "reorderQuantity",
                                                         "unitOfMeasure", "estimatedUnitPriceAmount", "estimatedUnitPriceCurrency",
                                                         "enableReorderListing", "inventoryLocation", "inventoryStore", "site",
-                                                        "inventoryGroup", "inventoryType", "averageDeliveryTime", "averageDeliveryPeriod",
+                                                        "inventoryGroup", "inventoryType",
                                                         "suppliersPartNumber", "preferredSupplier", "alternateSuppliers",
                                                         "manufacturersPartNumber", "preferredManufacturer", "alternateManufacturers",
@@ -79,5 +79,4 @@
             def inventoryStoreInstance
             def inventoryLocationInstance
-            def averageDeliveryPeriodInstance
 
             def tempPreferredSupplierItemAndType = ''
@@ -237,13 +236,4 @@
                     if(!unitOfMeasureInstance.save()) {
                         log.error "Failed to create unit of measure on line: " + lineNumber
-                        return fail(code: "inventory.import.failure", args: [lineNumber, logFileLink])
-                    }
-                }
-
-                // AverageDeliveryPeriod.
-                if(inventoryParams.averageDeliveryPeriod) {
-                    averageDeliveryPeriodInstance = Period.findByPeriod(inventoryParams.averageDeliveryPeriod)
-                    if(!averageDeliveryPeriodInstance) {
-                        log.error "Failed, not a valid delivery period on line: " + lineNumber
                         return fail(code: "inventory.import.failure", args: [lineNumber, logFileLink])
                     }
@@ -426,5 +416,4 @@
                 inventoryParams.inventoryType = inventoryTypeInstance
                 inventoryParams.unitOfMeasure = unitOfMeasureInstance
-                inventoryParams.averageDeliveryPeriod = averageDeliveryPeriodInstance
                 inventoryParams.preferredSupplier = preferredSupplierInstance
                 inventoryParams.preferredManufacturer = preferredManufacturerInstance
@@ -524,5 +513,4 @@
                                         "Mechanical Stock",
                                         "Consumable",
-                                        "7", "Week(s)",
                                         "123", "Multi Supplier@Local",
                                         "Multi Distributors1@OEM; Multi Distributors2@Local",
@@ -540,5 +528,4 @@
                                         "Mechanical Stock",
                                         "Consumable",
-                                        "2", "Month(s)",
                                         "456KL", "Multi Supplier",
                                         "Multi Distributors1; Multi Distributors2",
@@ -584,6 +571,4 @@
             row.add(inventoryItem.inventoryGroup)
             row.add(inventoryItem.inventoryType)
-            row.add(inventoryItem.averageDeliveryTime)
-            row.add(inventoryItem.averageDeliveryPeriod)
             row.add(inventoryItem.suppliersPartNumber)
 
@@ -827,5 +812,5 @@
             ["Name*", "Description", "Comment", "Units In Stock", "Reorder Point*", "Reorder Quantity", "Unit Of Measure*",
             "Estimated Unit Price", "Currency", "Enable Reorder", "Location*", "Store*", "Site*", "Group*", "Type*",
-            "Average Delivery Time", "Average Delivery Period", "Supplier's Part Number", "Preferred Supplier", "Alternate Suppliers",
+            "Supplier's Part Number", "Preferred Supplier", "Alternate Suppliers",
             "Manufacturer's Part Number", "Preferred Manufacturer", "Alternate Manufacturers", "Alternate Item", "Spare For"]
     }