Index: trunk/grails-app/views/taskDetailed/search.gsp
===================================================================
--- trunk/grails-app/views/taskDetailed/search.gsp	(revision 713)
+++ trunk/grails-app/views/taskDetailed/search.gsp	(revision 736)
@@ -90,4 +90,5 @@
                                                                                                 imgSrc="${resource(dir:'images/skin',file:'flag_red.png')}"
                                                                                                 imgAlt="Flag"
+                                                                                                imgTitle="Attention Flag"
                                                                                                 params="${filterParams}" />
 
@@ -100,7 +101,11 @@
                                 <g:sortableColumn  property="taskType" title="Type" params="${filterParams}" />
 
+                                <custom:sortableColumnWithImg property="taskStatus"
+                                                                                                imgSrc="${resource(dir:'images/skin',file:'status.png')}"
+                                                                                                imgAlt="Status"
+                                                                                                imgTitle="Status"
+                                                                                                params="${filterParams}" />
+
                                 <g:sortableColumn  property="taskPriority" title="Priority" params="${filterParams}" />
-
-                                <g:sortableColumn  property="taskStatus" title="Status" params="${filterParams}" />
 
                                 <custom:sortableColumnWithImg property="defaultSort"
@@ -119,5 +124,5 @@
                                 <td class="idColumn" onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
                                     <g:if test="${taskInstance.attentionFlag}">
-                                        <img  src="${resource(dir:'images/skin',file:'flag_red.png')}" alt="Flag" />
+                                        <img  src="${resource(dir:'images/skin',file:'flag_red.png')}" alt="Flag" title="Attention Flag"/>
                                     </g:if>
                                 </td>
@@ -129,7 +134,32 @@
                                 <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
                                     <b>
-                                        Task #${fieldValue(bean:taskInstance, field:'id')}<br />
-                                        ${fieldValue(bean:taskInstance, field:'description')}
+                                        Task #${fieldValue(bean:taskInstance, field:'id')}
                                     </b>
+                                    <g:if test="${taskInstance.approved}" >
+                                        <img  src="${resource(dir:'images/skin',file:'cog.png')}" alt="Approved" title="Approved" />
+                                    </g:if>
+                                    <g:if test="${taskInstance.taskRecurringSchedule?.enabled}" >
+                                        <img  src="${resource(dir:'images/skin',file:'arrow_refresh.png')}" alt="Recurrence Enabled" title="Recurrence Enabled" />
+                                    </g:if>
+                                    <br />
+
+                                    <b>
+                                    ${fieldValue(bean:taskInstance, field:'description')}
+                                    </b>
+                                    <g:if test="${taskInstance.safetyRequirement}" >
+                                        <br />
+                                        <img  src="${resource(dir:'images/skin',file:'lightning.png')}" alt="Safety Requirement" title="Safety Requirement" />
+                                        Safety
+                                    </g:if>
+                                    <g:if test="${taskInstance.regulatoryRequirement}" >
+                                        <br />
+                                        <img  src="${resource(dir:'images/skin',file:'script_lightning.png')}" alt="Regulatory Requirement" title="Regulatory Requirement" />
+                                        Regulatory
+                                    </g:if>
+                                    <g:if test="${taskInstance.mandatoryRequirement}" >
+                                        <br />
+                                        <img  src="${resource(dir:'images/skin',file:'script.png')}" alt="Mandatory Requirement" title="Mandatory Requirement" />
+                                        Mandatory
+                                    </g:if>
                                     <br />
                                     <br />
@@ -161,15 +191,23 @@
                                 </td>
 
+                                <td class="idColumn" onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
+                                    <g:if test="${taskInstance.taskStatus.id == 1}" >
+                                        <img  src="${resource(dir:'images/skin',file:'not_started.png')}" alt="Not Started" title="Not Started" />
+                                    </g:if>
+                                    <g:if test="${taskInstance.taskStatus.id == 2}" >
+                                        <img  src="${resource(dir:'images/skin',file:'arrow_right.png')}" alt="In Progress" title="In Progress" />
+                                    </g:if>
+                                    <g:if test="${taskInstance.taskStatus.id == 3}" >
+                                        <img  src="${resource(dir:'images/skin',file:'tick.png')}" alt="Complete" title="Complete" />
+                                    </g:if>
+                                </td>
+
                                 <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
                                     ${fieldValue(bean:taskInstance, field:'taskPriority')}
-                                </td>
-
-                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
-                                    ${fieldValue(bean:taskInstance, field:'taskStatus')}
                                 </td>
 
                                 <td class="notClickable">
                                     <g:link action="show" id="${taskInstance.id}">
-                                        <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" />
+                                        <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" title="Show" />
                                     </g:link>
                                 </td>